Loading...
Searching...
No Matches
CBot::CBotDebug Class Reference

Various utilities used for debugging. More...

`#include <src/CBot/CBotDebug.h>`

## Static Public Member Functions

static void | DumpCompiledProgram (CBotProgram *program)
| Dump the compiled class structure of the given program to stdout as DOT graph.

## Detailed Description

Various utilities used for debugging.

## Member Function Documentation

## DumpCompiledProgram()

void CBot::CBotDebug::DumpCompiledProgram | ( | CBotProgram * | program | ) |

static

Dump the compiled class structure of the given program to stdout as DOT graph.

Parameters

  program | Program to dump

The documentation for this class was generated from the following files:

- src/CBot/CBotDebug.h
- src/CBot/CBotDebug.cpp